Bug 1629412 - debuginfo-install downloads wrong debuginfo
Summary: debuginfo-install downloads wrong debuginfo
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf-plugins-core
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lukáš Hrázký
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1475858 1624627 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-09-15 22:43 UTC by Chris Murphy
Modified: 2019-11-01 09:27 UTC (History)
12 users (show)

Fixed In Version: 4.0.10
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-01 09:26:43 UTC


Attachments (Terms of Use)
debugsolver data (12.42 MB, application/x-tar)
2018-09-15 22:43 UTC, Chris Murphy
no flags Details

Description Chris Murphy 2018-09-15 22:43:00 UTC
Created attachment 1483594 [details]
debugsolver data

Description of problem:

I'm requesting a specific version of debuginfo be installed, but dnf is resolving it to a newer debuginfo than the installed binary packages, and therefore gdb debugging fails. Only work around is to manually download the proper debug infos from koji which is kindof annoying.


Version-Release number of selected component (if applicable):
dnf-3.3.0-2.fc29.noarch
libdnf-0.17.2-1.fc29.x86_64

How reproducible:
Always, trivial.


Steps to Reproduce:
1. $ sudo dnf debuginfo-install gtk3-3.24.0-3.fc29.x86_64
2.
3.

Actual results:

Wrongly wants to install -4 version.


Expected results:

Should download what I've asked for.

Additional info:


[chris@f29h ~]$ sudo dnf debuginfo-install gtk3-3.24.0-3.fc29.x86_64
enabling fedora-modular-debuginfo repository
enabling updates-modular-debuginfo repository
enabling updates-testing-modular-debuginfo repository
enabling updates-testing-debuginfo repository
enabling updates-debuginfo repository
enabling fedora-debuginfo repository
Last metadata expiration check: 0:49:39 ago on Sat 15 Sep 2018 03:46:59 PM MDT.
Dependencies resolved.
=============================================================================================================================================================================
 Package                                     Arch                              Version                                     Repository                                   Size
=============================================================================================================================================================================
Installing:
 gtk3-debuginfo                              x86_64                            3.24.0-4.fc29                               fedora-debuginfo                            7.5 M
Installing weak dependencies:
 gtk3-debugsource                            x86_64                            3.24.0-4.fc29                               fedora-debuginfo                            7.0 M

Transaction Summary
=============================================================================================================================================================================
Install  2 Packages

Total download size: 14 M
Installed size: 88 M
Is this ok [y/N]: n
Operation aborted.
[chris@f29h ~]$

Comment 1 Russell Strong 2019-03-05 00:39:29 UTC
Really broken!!!

[root@localhost general]# dnf debuginfo-install kernel-core-4.20.11-200.fc29.x86_64
enabling fedora-modular-debuginfo repository
enabling updates-modular-debuginfo repository
enabling updates-debuginfo repository
enabling fedora-debuginfo repository
enabling rpmfusion-free-updates-debuginfo repository
enabling rpmfusion-free-debuginfo repository
Last metadata expiration check: 0:27:13 ago on Tue 05 Mar 2019 10:08:58 AEST.
Package kernel-debuginfo-4.20.13-200.fc29.x86_64 is already installed.
Dependencies resolved.
Nothing to do.
Complete!

Comment 2 Russell Strong 2019-03-05 00:41:09 UTC
Also to the above 4.20.13-200.fc29.x86_64 does not even exist yet!!!

Comment 3 Lukáš Hrázký 2019-07-26 12:34:45 UTC
*** Bug 1624627 has been marked as a duplicate of this bug. ***

Comment 4 Lukáš Hrázký 2019-07-26 12:40:01 UTC
*** Bug 1475858 has been marked as a duplicate of this bug. ***

Comment 6 Chris Murphy 2019-09-05 21:21:48 UTC
We're in freeze for Fedora 31, and also I don't see this fix in koji anyway. Does anyone have a work around for this? I can't remove them and just reinstall them, dnf claims they don't exist when I use 'remove' - and then of course when I want to update them, they're already installed but the wrong versions, so the symbols don't match up... haha. It's a huge PITA.

[chris@fmac ~]$ sudo dnf debuginfo-install at-spi2-atk-2.33.92-1.fc31.x86_64 at-spi2-core-2.33.92-1.fc31.x86_64 gdm-3.33.92-1.fc31.x86_64 gjs-1.57.92-1.fc31.x86_64 glib-networking-2.61.92-1.fc31.x86_64 glib2-2.61.3-1.fc31.x86_64 glibc-2.30-4.fc31.x86_64 gnome-desktop3-3.33.92.1-1.fc31.x86_64 gtk3-3.24.11-1.fc31.x86_64 libgweather-3.33.92-1.fc31.x86_64 librsvg2-2.45.92-1.fc31.x86_64 libsoup-2.67.93-1.fc31.x86_64 mesa-libEGL-19.2.0~rc2-1.fc31.x86_64 mesa-libgbm-19.2.0~rc2-1.fc31.x86_64 mesa-libglapi-19.2.0~rc2-1.fc31.x86_64 pango-1.44.6-1.fc31.x86_64 zlib-1.2.11-19.fc31.x86_64
enabling fedora-modular-debuginfo repository
enabling updates-modular-debuginfo repository
enabling updates-testing-debuginfo repository
enabling updates-debuginfo repository
enabling fedora-debuginfo repository
Last metadata expiration check: 0:04:49 ago on Thu 05 Sep 2019 03:15:16 PM MDT.
Package at-spi2-atk-debuginfo-2.33.91-1.fc31.x86_64 is already installed.
Package at-spi2-core-debuginfo-2.33.90-1.fc31.x86_64 is already installed.
Package gdm-debuginfo-1:3.33.90-3.fc31.x86_64 is already installed.
Package gjs-debuginfo-1.57.91-1.fc31.x86_64 is already installed.
Package glib-networking-debuginfo-2.61.90-1.fc31.x86_64 is already installed.
Package glib2-debuginfo-2.61.2-1.fc31.x86_64 is already installed.
Package glibc-debuginfo-2.30-1.fc31.x86_64 is already installed.
Package gnome-desktop3-debuginfo-3.33.91-1.fc31.x86_64 is already installed.
Package gtk3-debuginfo-3.24.10-2.fc31.x86_64 is already installed.
Package libgweather-debuginfo-3.33.0-2.fc31.x86_64 is already installed.
Package librsvg2-debuginfo-2.45.91-1.fc31.x86_64 is already installed.
Package libsoup-debuginfo-2.67.92-1.fc31.x86_64 is already installed.
Package mesa-libEGL-debuginfo-19.2.0~rc1-2.fc31.x86_64 is already installed.
Package mesa-libgbm-debuginfo-19.2.0~rc1-2.fc31.x86_64 is already installed.
Package mesa-libglapi-debuginfo-19.2.0~rc1-2.fc31.x86_64 is already installed.
Package pango-debuginfo-1.44.5-1.fc31.x86_64 is already installed.
Package zlib-debuginfo-1.2.11-18.fc31.x86_64 is already installed.
Dependencies resolved.
Nothing to do.
Complete!

Comment 7 Lukáš Hrázký 2019-09-06 08:10:40 UTC
Chris, I'm not sure what the problem is (apart from debuginfo-install installing the wrong versions, of course).

What do you want to achieve?

You may already know this, but the debuginfo packages are regular packages that just have the '-debuginfo' suffix in the name.

So the workaround to install the version you want is e.g.:
dnf install at-spi2-atk-debuginfo-2.33.92-1.fc31.x86_64

And to remove the debuginfo package:
dnf remove at-spi2-atk-debuginfo-2.33.91-1.fc31.x86_64

If these commands fail for you, please post the output, that would be a different problem.

Comment 8 Chris Murphy 2019-09-06 15:12:54 UTC
What I'd like is to have all installed debuginfos updated, rather than having to specify them.

$ sudo dnf install at-spi2-atk-debuginfo-2.33.92-1.fc31.x86_64
No match for argument: at-spi2-atk-debuginfo-2.33.92-1.fc31.x86_64
Error: Unable to find a match: at-spi2-atk-debuginfo-2.33.92-1.fc31.x86_64

$ sudo dnf update *debug* --enablerepo=updates-testing-debuginfo --enablerepo=updates-debuginfo

That appears to work, but can cause debuginfos to be *newer* than their "parent" packages. Maybe I just need to permanently enable those two debuginfo repos using config-manager --set-enabled?

Comment 9 Lukáš Hrázký 2019-09-09 08:21:50 UTC
Oh, yes, sorry, you need to enable the debuginfo repos to work with the -debuginfo packages.

The update command will update them to the newest version. If you keep your system updated to latest versions, I think it should result in newest versions of both the base as well as debuginfo packages, so that should work.

Automatic installation of the same version of the debuginfo package is broken as of now and will be fixed when this bugfix is released... Sorry for the inconvenience.

Comment 10 Ben Cotton 2019-10-31 18:51:59 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.


Note You need to log in before you can comment on or make changes to this bug.